Retrieve memberships
curl --request GET \
--url https://api.hubapi.com/crm/lists/2026-09/records/{objectTypeId}/{recordId}/memberships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-09/records/{objectTypeId}/{recordId}/memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-09/records/{objectTypeId}/{recordId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"firstAddedTimestamp": "2023-11-07T05:31:56Z",
"lastAddedTimestamp": "2023-11-07T05:31:56Z",
"listId": "<string>",
"listVersion": 123,
"isPublicList": true
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Memberships
Retrieve memberships
Retrieve the list memberships for a specific record within a specified object type. This endpoint is useful for understanding which lists a particular record is a member of, based on the object type and record ID provided.
GET
/
crm
/
lists
/
2026-09
/
records
/
{objectTypeId}
/
{recordId}
/
memberships
Retrieve memberships
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier of the object type to which the record belongs.
The unique identifier of the record for which memberships are being retrieved.
Last modified on September 9, 2026
Was this page helpful?